BasicTabbedPaneUI.TabbedPaneLayout (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout class
Date: 2026-06-25

javax.swing.plaf.basic

## Class BasicTabbedPaneUI.TabbedPaneLayout

- java.lang.Object
- - javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout

- All Implemented Interfaces:
    LayoutManager
  Direct Known Subclasses:
    MetalTabbedPaneUI.TabbedPaneLayout
  Enclosing class:
    BasicTabbedPaneUI

      public class BasicTabbedPaneUI.TabbedPaneLayout
      extends Object
      implements LayoutManager

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicTabbedPaneUI.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabbedPaneLayout()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLayoutComponent(String name, Component comp)` If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
    `void` | `calculateLayoutInfo()`
    `protected Dimension` | `calculateSize(boolean minimum)`
    `protected void` | `calculateTabRects(int tabPlacement, int tabCount)`
    `void` | `layoutContainer(Container parent)` Lays out the specified container.
    `Dimension` | `minimumLayoutSize(Container parent)` Calculates the minimum size dimensions for the specified container, given the components it contains.
    `protected void` | `normalizeTabRuns(int tabPlacement, int tabCount, int start, int max)`
    `protected void` | `padSelectedTab(int tabPlacement, int selectedIndex)`
    `protected void` | `padTabRun(int tabPlacement, int start, int end, int max)`
    `Dimension` | `preferredLayoutSize(Container parent)` Calculates the preferred size dimensions for the specified container, given the components it contains.
    `protected int` | `preferredTabAreaHeight(int tabPlacement, int width)`
    `protected int` | `preferredTabAreaWidth(int tabPlacement, int height)`
    `void` | `removeLayoutComponent(Component comp)` Removes the specified component from the layout.
    `protected void` | `rotateTabRuns(int tabPlacement, int selectedRun)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TabbedPaneLayout

          public TabbedPaneLayout()

  - ### Method Detail

    - #### addLayoutComponent

          public void addLayoutComponent(String name,
                                         Component comp)

      Description copied from interface: `LayoutManager`
      If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
      Specified by:
        `addLayoutComponent` in interface `LayoutManager`
      Parameters:
        `name` - the string to be associated with the component
        `comp` - the component to be added

    - #### removeLayoutComponent

          public void removeLayoutComponent(Component comp)

      Description copied from interface: `LayoutManager`
      Removes the specified component from the layout.
      Specified by:
        `removeLayoutComponent` in interface `LayoutManager`
      Parameters:
        `comp` - the component to be removed

    - #### preferredLayoutSize

          public Dimension preferredLayoutSize(Container parent)

      Description copied from interface: `LayoutManager`
      Calculates the preferred size dimensions for the specified container, given the components it contains.
      Specified by:
        `preferredLayoutSize` in interface `LayoutManager`
      Parameters:
        `parent` - the container to be laid out
      See Also:
        `LayoutManager.minimumLayoutSize(java.awt.Container)`

    - #### minimumLayoutSize

          public Dimension minimumLayoutSize(Container parent)

      Description copied from interface: `LayoutManager`
      Calculates the minimum size dimensions for the specified container, given the components it contains.
      Specified by:
        `minimumLayoutSize` in interface `LayoutManager`
      Parameters:
        `parent` - the component to be laid out
      See Also:
        `LayoutManager.preferredLayoutSize(java.awt.Container)`

    - #### calculateSize

          protected Dimension calculateSize(boolean minimum)

    - #### preferredTabAreaHeight

          protected int preferredTabAreaHeight(int tabPlacement,
                                               int width)

    - #### preferredTabAreaWidth

          protected int preferredTabAreaWidth(int tabPlacement,
                                              int height)

    - #### layoutContainer

          public void layoutContainer(Container parent)

      Description copied from interface: `LayoutManager`
      Lays out the specified container.
      Specified by:
        `layoutContainer` in interface `LayoutManager`
      Parameters:
        `parent` - the container to be laid out

    - #### calculateLayoutInfo

          public void calculateLayoutInfo()

    - #### calculateTabRects

          protected void calculateTabRects(int tabPlacement,
                                           int tabCount)

    - #### rotateTabRuns

          protected void rotateTabRuns(int tabPlacement,
                                       int selectedRun)

    - #### normalizeTabRuns

          protected void normalizeTabRuns(int tabPlacement,
                                          int tabCount,
                                          int start,
                                          int max)

    - #### padTabRun

          protected void padTabRun(int tabPlacement,
                                   int start,
                                   int end,
                                   int max)

    - #### padSelectedTab

          protected void padSelectedTab(int tabPlacement,
                                        int selectedIndex)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.